set map=0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ
for /f "tokens=2*" %%a in ('reg query "HKCU\Control Panel\Desktop" /v "UserPreferencesMask" 2^>^&1^|find "REG_"') do set "upm=%%b"
call :upm2bin %upm% upmbin
set "upmbin=%upmbin:~0,22%1%upmbin:~23,41%"
call :bin2upm %upmbin% upmnew
reg add "HKCU\Control Panel\Desktop" /v "UserPreferencesMask" /t REG_BINARY /d "%upmnew%" /f
exit /b %errorlevel%

:upm2bin
setlocal enabledelayedexpansion
set "upm=%~1"
set "upmA=%upm:~0,4%"
set "upmB=%upm:~4,4%"
set "upmC=%upm:~8,4%"
set "upmD=%upm:~12,4%"
set "vals=upmA upmB upmC upmD"
for %%v in (%vals%) do (
	call :Base2Dec 16 !%%v! %%v
	call :Dec2Base 2  !%%v! %%v
	call :lengthenPre !%%v! 16 %%v
)
endlocal & set "%2=%upmA%%upmB%%upmC%%upmD%" & exit /b 0

:bin2upm
setlocal enabledelayedexpansion
set "upm=%~1"
set "upmA=%upm:~0,16%"
set "upmB=%upm:~16,16%"
set "upmC=%upm:~32,16%"
set "upmD=%upm:~48,16%"
set "vals=upmA upmB upmC upmD"
for %%v in (%vals%) do (
	call :Base2Dec 2  !%%v! %%v
	call :Dec2Base 16 !%%v! %%v
	call :lengthenPre !%%v! 4 %%v
)
endlocal & set "%2=%upmA%%upmB%%upmC%%upmD%" & exit /b 0

:lengthenPre
setlocal
set "ret=%1"
call :strLen ret length
:lengthenPreLoop
if %length% geq %2 goto lengthenPreExit
set "ret=0%ret%"
set /a "length=%length% + 1"
goto lengthenPreLoop
:lengthenPreExit
endlocal & set "%3=%ret%" & exit /b 0

rem Credit: https://stackoverflow.com/a/13924161
:strLen  strVar  [rtnVar]
setlocal disableDelayedExpansion
set len=0
if defined %~1 for /f "delims=:" %%N in (
  '"(cmd /v:on /c echo(!%~1!&echo()|findstr /o ^^"'
) do set /a "len=%%N-3"
endlocal & if "%~2" neq "" (set %~2=%len%) else echo %len%
exit /b

rem Credit: https://stackoverflow.com/a/46257363
:Dec2Base Base DecIn BaseOut
Setlocal
Echo:%2|findstr /i "^[%map:~0,10%]*$" >Nul 2>&1 ||(Echo invalid char for base 10&Goto :Eof)
set /a Num=%2
set "Ret="
:Dec2BaseLoop
set /a "Digit=Num %% %1"
set /a "Num /= %1"
set Ret=!map:~%Digit%,1!%Ret%
if "%Num%" neq "0" goto :Dec2BaseLoop
Endlocal&Set "%3=%Ret%"&Goto :Eof

:Base2Dec Base BaseIn DecBack
Setlocal EnableDelayedExpansion
Set /A "Base=%1,PlaceVal=1,Ret=0"
Echo:%2|findstr /i "^[!map:,%Base%!]*$" >Nul 2>&1 ||(Echo invalid char for base %1&Goto :Eof)
Set Val=%2
:Base2DecLoop
Set "Digit=%Val:~-1%"
If %Digit% Leq 9 goto :Base2DecNext
For /L %%i in (10,1,%Base%) Do If /i "!Digit!" Equ "!map:~%%i,1!" (Set "Digit=%%i" & Goto :Next )
Echo Something went wrong & Pause
:Base2DecNext
set /A "Ret+=Digit * PlaceVal,PlaceVal *= Base"
Set "Val=%Val:~0,-1%"
If defined Val goto :Base2DecLoop
Endlocal & Set "%3=%Ret%" & Goto :Eof